Bug 77249 - After updating from RH7.1 to RH8.0, httpd (apache) won't start because modules refered to in the httpd.conf file are bad
After updating from RH7.1 to RH8.0, httpd (apache) won't start because module...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-04 04:02 EST by Jeff Silverman
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 17:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Silverman 2002-11-04 04:02:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I was running  Apache/1.3.22 (Unix) (Red-Hat/Linux) PHP/4.0.6 mod_perl/1.24_01
when I updated from RH 7.2 to RH 8.0.  After updating, httpd won't start.

[root@angel root]# /usr/sbin/httpd -t
Syntax error on line 219 of /etc/httpd/conf/httpd.conf:
Can't locate API module structure `includes_module' in file /etc/httpd         
        /modules/mod_include.so: /usr/lib/libapr.so.0: undefined symbol: inclu 
                des_module
[root@angel root]#

  I have been experimenting with commenting out lines from the httpd.conf file
and I have found several modules with these errors.  I suspect that this isn't
the problem - it is elsewhere.

Syntax error on line 213 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/mod_log_referer.so into server:
/etc/httpd/modules/mod_log_referer.so: cannot open shared object file: No such
file or directory

212:#?? LoadModule config_log_module  modules/mod_log_config.so
213:#?? LoadModule agent_log_module   modules/mod_log_agent.so
214:#?? LoadModule referer_log_module modules/mod_log_referer.so

220:#?? LoadModule includes_module    modules/mod_include.so
221:#?? Can't locate API module structure `includes_module' in file
/etc/httpd/modules/mod_include.so: /usr/lib/libapr.so.0: undefined symbol:
includes_module

227:#??LoadModule action_module      modules/mod_actions.so
228:#?? Can't locate API module structure `action_module' in file
/etc/httpd/modules/mod_actions.so: /usr/lib/libapr.so.0: undefined symbol:
action_module

are typical.  Any advice?

This problem was reported to Redhat as Service Request 218040.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./etc/rc.d/init.d/httpd start
2./etc/rc.d/init.d/httpd configtest
3.
	

Expected Results:  The web server should have started

Additional info:

I "fixed" the problem by commenting out some of the lines in the
/etc/httpd/conf/httpd.conf file and my web server is working now.  Insofar as I
know it is working properly - but it may be that I am not testing it very well.

Another way to deal with the problem would have been to replace apache 2.0.40
with 1.3.27, but the dependences made that problematical.
Comment 1 Joe Orton 2002-11-05 06:37:44 EST
What is the output of:

$ cd /etc/httpd
$ readlink modules
$ rpm -qf modules/mod_include.so
Comment 2 Joe Orton 2004-01-05 17:43:39 EST
No reproduction case was discovered for this issue; closing.

Note You need to log in before you can comment on or make changes to this bug.